---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: ###APPNAME###
  namespace: ###NAMESPACENAME###
  labels:
    app: ###APPNAME###
    environment: ###CI_ENVIRONMENT_SLUG###
    pipeline_id: "###CI_PIPELINE_ID###"
rules:
- apiGroups: 
  - ""
  resources:
  - "configmaps"
  verbs:
  - "get"
  - "list"
  - "watch"
- apiGroups: 
  - ""
  resources:
  - "secrets"
  verbs:
  - "get"
  - "list"
  - "watch"
  - "update"
  - "delete"
  - "create"
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: ###APPNAME###
  namespace: ###NAMESPACENAME###
  labels:
    app: ###APPNAME###
    environment: ###CI_ENVIRONMENT_SLUG###
    pipeline_id: "###CI_PIPELINE_ID###"
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: ###APPNAME###
subjects:
  - kind: ServiceAccount
    name: ###APPNAME###
    namespace: ###NAMESPACENAME###
